« Le fichier n’a pas pu être déplacé vers wp-content/uploads/2016 » (Créer un compte)

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 18)
  • Auteur
    Messages
  • #558870
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    Bonjour,

    Ma configuration WP actuelle
    – Version de WordPress : 4.3.1
    – Version de PHP/MySQL : 5.2
    – Thème utilisé : 24 (enfant)
    – Extensions en place :usuelles: table press, my calendar
    – Nom de l’hebergeur : Paris sorbonne
    – Adresse du site : http://www.creops.paris-sorbonne.fr

    Problème(s) rencontré(s) :

    C’est très gênant pour un site d’histoire de l’art de ne pas pouvoir importer de photo: c’est ce qui m’arrive depuis qq jours .
    J’ai appris que ma version de PHP est assez ancienne mais j’en suis pour le moment prisonnier et tout marchait bien jusqu’alors…

    je ne charge que des fichiers de taille très modeste et » jpegisés » jusqu’au trognon
    Comment contourner ce pb?
    merci

    #1040354
    Joss47
    Modérateur
    Maître WordPress
    5132 contributions

    Hello,

    Change les permissions sur de wp-content en 766.
    Si tu as toujours des problèmes, essaie 767 ou 777.
    Une fois que les téléchargements fonctionnent, change les permissions sur wp-content de nouveau à 755 et vérifie que tout fonctionne toujours bien.

    Si cela ne fonctionne pas, fait l’opération uniquement sur le dossier 2016 😉

    #1040355
    lulu2006
    Membre
    Chevalier WordPress
    409 contributions

    Juste 777 au dossier upload ne suffirait pas ?

    #1040356
    Joss47
    Modérateur
    Maître WordPress
    5132 contributions

    Si aussi 👏

    #1040357
    luciole135
    Participant
    Maître WordPress
    13714 contributions
    cblanchon wrote:
    C’est très gênant pour un site d’histoire de l’art de ne pas pouvoir importer de photo: c’est ce qui m’arrive depuis qq jours .

    mettez WordPress à jour en 4.4.1 actuellement.
    Puis désactivez toutes les extensions, si le problème est résolu, activez les une par une pour trouver celle qui pose problème.

    cblanchon wrote:
    J’ai appris que ma version de PHP est assez ancienne mais j’en suis pour le moment prisonnier et tout marchait bien jusqu’alors…

    Pourquoi ne pouvez-vous pas changer de version de PHP ?

    #1040358
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    merci de vos réponses rapides et pardon pour l’abandon de poste: un autre pb (pas grave mais inattendu) de grand-père m’a tenu loin du clavier.
    1. je vais essayer de savoir comment changer les permissions: si je ne m’en sors pas tout seul je reviens vers vous.
    2. pour Luciole 135 : Devant les complications pour passer à 4.4.1 j’ai décidé de rester sur ma version actuelle qui n’est pas si ancienne somme toute. Je passerai à la nouvelle version quand je serai totalement sur de maitriser les sauvegardes, ce qui n’est pas encore 100% sûr.
    Sur ma version de php: J’ai compris après avoir contacté les informaticiens de Paris-sorbonne, (la fac dont dépend le CREOPS) que changer de version PHP relevait de leur stricte compétence. Comme c’est mon hébergeur obligé, je me tiens à leur position.
    Êtes vous en train de me dire que la version de PHP pourrait être indépendante de l’hébergeur et que je pourrais en changer moi-même dans mon coin?
    merci encore à tous

    #1040359
    luciole135
    Participant
    Maître WordPress
    13714 contributions

    Le problème est que vous risquez de voir site hacké. La dernière version de sécurité de la série 4.3 est la 4.3.2.
    La version 4.3.2 corrige les même failles que la 4.4.1, ainsi en restant en 4.3.1, vous prenez un risque : WordPress 4.4.1 Security and Maintenance Release
    Ces deux version 4.3.2 et 4.4.1 ont été d’ailleurs publiées le 6 janvier 2016 : Version 4.3.2
    Ainsi, vous avez tout intérêt à mettre à jour WordPress.

    Quant à PHP essayez de convaincre le webmaster de mettre à jour PHP car depuis la sortie de PHP 5.6, toutes les précédentes ne sont plus supportées et leurs bugs non corrigés.

    #1040360
    Joss47
    Modérateur
    Maître WordPress
    5132 contributions

    @luciole le soucis c’est qu’il est hébergé sur paris-sorbonne.fr, et comme toutes les institutions et grosse structures (j’en ai fait) c’est un peu l’anarchie pour faire avancer les choses et upgrader… Hélas je pense qu’il va devoir se contenter ce qu’il a 😕

    #1040361
    luciole135
    Participant
    Maître WordPress
    13714 contributions

    @Joss47, certes, mais cela ne l’empêche pas de signaler au webmaster de la Sorbonne qu’il est temps qu’il se mette au jus.

    Sans quoi la structure de paris-sorbonne va devenir très vite obsolète, ce qui pour une institution connue et reconnue dans le monde entier comme la Sorbonne aura un très mauvais impact et donc sera néfaste à la réputation de l’université^^

    Quand on se prétend que « la qualité et du rayonnement de ses relations internationales est l’une de ses priorités », c’est un facteur à ne pas négliger. Université Paris-Sorbonne : L’international

    A sa place, j’écrirai au Président de l’Université Université Paris-Sorbonne : Présidence, cela activera la mise à jour des serveurs^^

    #1040362
    Joss47
    Modérateur
    Maître WordPress
    5132 contributions

    Ahah, j’en vois déjà certains se tirer les cheveux :fire:
    Le soucis c’est qu’il y a peut être sur ce serveur des appli métier spécifiques qui ne pourront pas fonctionner sous ce php la.
    Bon après je suis pas l’admin serveur de paris-sorbonne, mais des cas comme ça, je suis bien content de ne plus en avoir :D

    #1040363
    luciole135
    Participant
    Maître WordPress
    13714 contributions

    N’importe quel webmaster sait comment faire via .htaccess pour activer différentes versions de PHP !
    Sur les pages perso de FREE, par exemple,
    – Par défaut (rien dans le .htaccess) = PHP 4.4.3
    – Avec la directive PHP 1 = PHP 5.1.3
    – Avec la directive PHP56 1 = PHP 5.6.8

    Alors, si le webmaster n’y arrive pas, il doit envisager une mise à niveau professionnelle^^

    #1040364
    Joss47
    Modérateur
    Maître WordPress
    5132 contributions

    Oui, ça je sais bien :fouet:

    #1040365
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    merci de vos remarques.
    Une précision cependant: le service informatique de paris sorbonne travaille sur le passage à la dernière version de php; cependant ils ne peuvent pas annoncer de date de mise en œuvre (enfin, pas à moi).
    j’ai bien compris le risque couru à rester sur ma version actuelle: j’essaye de passer sur 4.4.1 asap
    merci encore

    #1040366
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    Bonjour Joss, Luciole et Lulu !
    j’ai changé les permissions en 777 d’abord sur wp-content upload seulement et cela n’a pas résolu le pb; puis sur wp-content all stars et cela n’a pas marché non plus.
    Le titre du fichier transféré est lisible dans le dossier média mais reste scotché à 0 octet.
    Il est dans doute plus sage de revenir à 755 sur wp-content.
    merci de votre aide.
    PS. j’ai un rv fin février avec un honorable correspondant à paris-sorbonne qui m’aidera à sécuriser le passage à 4.4.1

    #1040367
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    Oups! je viens de repasser à 755 sur wp-content et j’ai maintenant le message : erreur Http….. pourtant tout semble avoir bien fonctionné selon Fillezila :( :(

15 sujets de 1 à 15 (sur un total de 18)
  • Vous devez être connecté pour répondre à ce sujet.